_$ (setq ss (ssget)) (setq ent (ssname ss 0)) (setq dxf (entget ent)) (setq ctrel (cdr (assoc 10 dxf))) (setq info11 (cdr (assoc 11 dxf))) (setq info11y (cadr info11)) (setq majel (atof (rtos (car info11) 2 2))) (setq info40 (cdr (assoc 40 dxf))) (setq minel (atof (rtos (float (* majel info40))2 3))) (setq ang (angle ctrel info11)) <Selection set: 41> <Entity name: 14842d0> ((-1 . <Entity name: 14842d0>) (0 . "ELLIPSE") (330 . <Entity name: 14840f8>) (5 . "72") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbEllipse") (10 0.0 0.0 0.0) (11 5.0 0.0 0.0) (210 0.0 0.0 1.0) (40 . 0.5) (41 . 0.0) (42 . 6.28319)) (0.0 0.0 0.0) (5.0 0.0 0.0) 0.0 5.0 0.5 2.5 0.0 _$ (setq p1 (polar ctrel (+ ang pi) majel)) (setq p2 (polar ctrel (+ ang (/ pi 2)) minel)) (setq p3 (polar ctrel (+ ang pi)(* 2 majel))) (-5.0 6.12303e-016 0.0) >>>> it must be (5.0 0.0 0.0) (1.53076e-016 2.5 0.0) >>>> (0.0 2.5 0.0) (-10.0 1.22461e-015 0.0) >>>> (-10.0 0.0 0.0) _$ I just create my code an ellipse to become arc,I've got problem it to determine angle,how to revise this code?,thanks